#ifndef LIB_HPP_
#define LIB_HPP_

#include "config.hpp"
#include "boost/exception/all.hpp"
#include <exception>

typedef boost::error_info< struct tag_errinfo , int > errinfo_t ;

class Exception
    : public virtual boost::exception
    , public virtual std::exception
{
public:
    LIB_DECL
    const char *
    what() const throw();
};

LIB_DECL
void
test_throw();

#endif // LIB_HPP_
